通報担当者
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション ストレッチ | 検索ストレッチ |
| search_by | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: name. |
| is_enabled | オプション ボリューム | |
| type | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: . |
| datetime_field | オプション ストレッチ | 許可された価値観: datetime, last_datetime |
| datetime_start | オプション ストレッチ | この日付から始まる結果をフィルタリングします。 Y-m-d H:i:s フォーマット |
| datetime_end | オプション ストレッチ | この日付までフィルター結果を表示します。 Y-m-d H:i:s フォーマット |
| order_by | オプション ストレッチ | どのフィールドで結果を注文するか? 許可された値は: notification_handler_id, datetime, last_datetime, name. |
| order_type | オプション ストレッチ | 結果の注文:許可された値は以下の通り。 ASC 昇天の命令と、 DESC 降りる命令。 |
| search | オプション ストレッチ | 検索ストレッチ |
| search_by | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: name. |
| is_enabled | オプション ボリューム | |
| type | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: . |
| datetime_field | オプション ストレッチ | 許可された価値観: datetime, last_datetime |
| datetime_start | オプション ストレッチ | この日付から始まる結果をフィルタリングします。 Y-m-d H:i:s フォーマット |
| datetime_end | オプション ストレッチ | この日付までフィルター結果を表示します。 Y-m-d H:i:s フォーマット |
| order_by | オプション ストレッチ | どのフィールドで結果を注文するか? 許可された値は: notification_handler_id, datetime, last_datetime, name. |
| order_type | オプション ストレッチ | 結果の注文:許可された値は以下の通り。 ASC 昇天の命令と、 DESC 降りる命令。 |
| page | オプション 総合 | あなたが望むページ番号から結果を得る。 1. |
| results_per_page | オプション 総合 | ページごとにどれだけの結果が欲しいか? 許可された値は以下の通りです。 10, 25, 50, 100, 250, 500, 1000. 欠陥は 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:29",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:29",
}
}
POST https://0o0.online/api/notification-handlers
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 ストレッチ | - |
| type | 必須 ストレッチ | 許可された価値観: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション ストレッチ | - |
| type | オプション ストレッチ | 許可された価値観: |
| is_enabled | オプション ボリューム | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \